Create reminder for processing account

View as MarkdownOpen in Claude
Use this method to prompt a merchant to sign their pricing agreement. You can create a reminder only if you requested the merchant’s signature by email when you created the processing account for the merchant. To create a reminder, you need the processingAccountId. Our gateway returned the processingAccountId in the response of the [Create Merchant Platform](https://docs.payroc.com/api/schema/boarding/merchant-platforms/create) method or [Create Processing Account](https://docs.payroc.com/api/schema/boarding/merchant-platforms/create-processing-account) method. **Note:** If you don’t know the processingAccountId, use our [List Merchant Platform’s Processing Accounts](https://docs.payroc.com/api/schema/boarding/merchant-platforms/list-processing-accounts) method to search for the processing account. When you send a successful request, we send an email to the merchant that prompts them to sign their pricing agreement.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

processingAccountIdstringRequired
Unique identifier that we assigned to the processing account.

Headers

Idempotency-KeystringRequiredformat: "uuid"
Unique identifier that you generate for each request. You must use the [UUID v4 format](https://www.rfc-editor.org/rfc/rfc4122) for the identifier. For more information about the idempotency key, go to [Idempotency](https://docs.payroc.com/api/idempotency).

Request

Polymorphic object that contains reminder details.
pricingAgreementobjectRequired
Object that contains information about the pricing agreement reminder.

Response

Successful request. We sent an email to the merchant and we return a polymorphic object that contains reminder details.
pricingAgreementobject
Object that contains information about the pricing agreement reminder.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error